#
# spec file for package gap-fining
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-fining
Version:        1.4
Release:        lp151.2.1
Summary:        GAP: Finite Incidence Geometry
License:        GPL-2.0+
Group:          Productivity/Scientific/Math
Url:            http://cage.ugent.be/fining/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/fining-%version.tar.bz2
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       gap-core >= 4.8
Requires:       gap-cvec >= 2.5.7
Requires:       gap-forms >= 1.2.3
Requires:       gap-gapdoc >= 1.6
Requires:       gap-genss >= 1.6.4
Requires:       gap-grape >= 4.7
Requires:       gap-orb >= 4.7.6

%description
FinInG is a package for computation in Finite Incidence Geometry. It
provides users with the basic tools to work in various areas of
finite geometry from the realms of projective spaces to the flat
lands of generalised polygons. The algebraic power of GAP is
employed, particularly in its facility with matrix and permutation
groups.

%prep
%setup -qn fining

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Mon Dec 25 2017 jengelh@inai.de
- Update to new upstream release 1.4
  * No changelog available
* Fri Mar 11 2016 jengelh@inai.de
- Initial package (version 1.3.3) for build.opensuse.org
